package com.bocloud.ims.interfaces.resource.azure.redis;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.params.azure.CloudRedisOperationParams;
import com.bocloud.cmp.params.azure.NetworkInterfaceOperationParams;
import com.bocloud.cmp.params.azure.UserAssignParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.redis.CloudRedis;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudRedis
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/1 14:40
 */
public interface CloudRedisService {

    BocloudResult<GridBean<CloudRedis>> list(Pager pager, RequestContext context);

    BocloudResult<CloudRedis> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(CloudRedis entityParams, RequestContext context);

    BocloudResult<Void> create(CloudRedis entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<CloudRedis> assign(UserAssignParams params, RequestContext context);

    BocloudResult<Void> assignBatch(UserAssignParams params, RequestContext context);

    BocloudResult<Void> operations(CloudRedisOperationParams params, RequestContext context);
}